Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: squid

Tunables Interfaces

### Description:

Squid caching http proxy server.

### Tunables:

squid_connect_any

##### Default value

false

##### Description

Determine whether squid can connect to all TCP ports.

squid_use_pinger

##### Default value

true

##### Description

Determine whether squid can use the pinger daemon (needs raw net access)

squid_use_tproxy

##### Default value

false

##### Description

Determine whether squid can run as a transparent proxy.

Return

### Interfaces:

squid_admin( domain , role )

##### Summary

All of the rules required to administrate an squid environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

squid_append_log( domain )

##### Summary

Append squid log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

squid_domtrans( domain )

##### Summary

Execute squid in the squid domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

squid_dontaudit_read_tmpfs_files( domain )

##### Summary

dontaudit statting tmpfs files

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not be audited

squid_dontaudit_search_cache( domain )

##### Summary

Do not audit attempts to search squid cache directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

squid_exec( domain )

##### Summary

Execute squid in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

squid_manage_logs( domain )

##### Summary

Create, read, write, and delete squid log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

squid_read_config( domain )

##### Summary

Read squid configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

squid_read_log( domain )

##### Summary

Read squid log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

squid_rw_stream_sockets( domain )

##### Summary

Read and write squid unix domain stream sockets.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

squid_signal( domain )

##### Summary

Send generic signals to squid.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return